Bug 494281 - gtk-doc should generate exactly one title per each section.
gtk-doc should generate exactly one title per each section.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk-doc (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-06 03:27 EDT by Ding-Yi Chen
Modified: 2009-12-18 04:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:12:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Example code that demonstrates the problem. (3.36 KB, application/x-gzip)
2009-04-06 03:27 EDT, Ding-Yi Chen
no flags Details

  None (edit)
Description Ding-Yi Chen 2009-04-06 03:27:03 EDT
Created attachment 338294 [details]
Example code that demonstrates the problem.

Description of problem:
When a file contains two or more GObject definitions, gtk-doc produces a title for each of them and use the last on as section title, which also appear as title in final html output. This is not always a desireable outcome. 

For example, in iBus project (http://code.google.com/p/ibus/), both IBusAttribute and IBusAttrList is defined in src/ibusattribute.h, while I expected that IBusAttribute should be chosen as section title because it matches the filename and was defined in the front,  but gtk-doc used IBusAttrList instead.

Version-Release number of selected component (if applicable):
gtk-doc-1.10-2

How reproducible:
Always

Steps to Reproduce:
1. extract GtkDocBug.tar.gz
2. cd GtkDocBug
3. make
  
Actual results:
doc/html/IBusAttrList.html was produced, whose title was: IBusAttrList.

Expected results:
doc/html/IBusAttribute.html is produced, whose title is: IBusAttribute.

Additional info:
When multiple titles are generated, IMHO, the one that matches the filename is prefereed.
Comment 1 Bug Zapper 2009-11-18 06:41:41 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-12-18 04:12:26 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.